
;*******************************************
; Set baudrate to 1200 at 4 MHz
;*******************************************
;
; if BRGH = 1 then calculation is (4000000 Hz/1200 baud/16)-1 = 207
; if BRGH = 0 then calculation is (4000000 Hz/1200 baud/64)-1 = 51
;
; and vice versa 
;
; if BRGH = 1 -> (4000000 Hz/16/(207+1)) = 1201,92 Baud
; if BRGH = 0 -> (4000000 Hz/64/(51+1))  = 1201,92 Baud
;
; the calculated value must between 0...255
;
; use the calculation with the smallest error
;
; in this case you can use BRGH = 1 or BRGH = 0
; BRGH = 1 is used, BRGH = 0 is commented out
;
;*******************************************
; Set baudrate to 1200 at 4 MHz and BRGH = 1
;*******************************************

	; load w-register with 207
	MOVLW 207

	; store in baudrate-generator
	MOVWF SPBRG

	; set BRGH = 1
	BSF TXSTA,BRGH

;*******************************************
; Set baudrate to 1200 at 4 MHz and BRGH = 0
;*******************************************

	; load w-register with 51
	;MOVLW 51

	; store in baudrate-generator
	;MOVWF SPBRG

	; clear BRGH = 0
	;BCF TXSTA,BRGH

; that's all
